<mat-toolbar color="primary">
  <mat-icon class="logo-icon">swap_vertical_circle</mat-icon>
  <span routerLink="/dashboard">Web shooter</span>
  <span class="bar-spacer"></span>
  <button class="mat-icon-button" [matMenuTriggerFor]="menuLogin" *ngIf="!isAuthenticated()">
    <mat-icon>person</mat-icon>
    <span>login</span>
  </button>
  <mat-menu #menuLogin="matMenu">
    <button mat-menu-item (click)="basicAuthenticate()">Login std (basic auth)</button>
    <button mat-menu-item (click)="facebookAuthenticate()">Login via Facebook</button>
    <button mat-menu-item>Login via Google</button>
  </mat-menu>
  <button class="mat-icon-button" [matMenuTriggerFor]="menuLogout"  *ngIf="isAuthenticated()">
    <mat-icon>person</mat-icon>
    <span *ngIf="isBasicAuthenticated()">Basic</span>
  </button>
  <mat-menu #menuLogout="matMenu">
    <button mat-menu-item (click)="logout()">Logout</button>
  </mat-menu>

</mat-toolbar>
